[Rainmeter]
Author=Martijn Grul
AppVersion=1.0
Update=1000

[Metadata]
Name=Royal Black Vista
Config=
Description=Litle music player for winamp
Instructions=
Version=
Tags=
License=
Variant=
Preview=

[Variables]
update.Spd=90
fontColor.Text=0, 0, 0, 160
bar.color=0, 0, 0, 50
graph.line1=0, 0, 0, 75
graph.line2=0, 0, 0, 37
border.color=0, 0, 0, 75

FontName=Tahoma
FontHeight=8
FontHeight1=10
AntiAlias=1

[MeasureWA]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="[Paused]":""," - Winamp":"","[Stopped]":""

[MeterTitle]
Meter=STRING
MeasureName=MeasureWA
X=0
Y=0
W=206
H=10
FontColor=0, 0, 0, 
FontSize=10
StringAlign=Left
FontFace=Visitor TT2 BRK
AntiAlias=0
ClipString=0

[mRing]
Measure=Calc
Formula=360

[mWA]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
Substitute="":""," - Winamp":"","":""

[WAPlaying]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 104
ifAboveValue=0
IfAboveAction=!execute [!RainmeterShowMeter l.hraje][!RainmeterShowMeter mTimeCurr]
IfBelowValue=1
IfBelowAction=!execute [!RainmeterHideMeter l.hraje][!RainmeterHideMeter mTimeCurr]

[mWAFull]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[mWACurr]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[mWADuration]
Measure=Calc
Formula=(mWACurr<=0)?0:(mWACurr/(mWAFull*1000+1)) 

[mWADurationI]
Measure=Calc
Formula=(mWACurr<=0)?0:(mWACurr/(mWAFull*1000+1))
InvertMeasure=1

[mWinampCurrOrg]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 0 105

[mWinampCurrMin]
Measure=Calc
Formula=((mWinampCurrOrg / 1000) - ((mWinampCurrOrg / 1000) % 60)) /60

[mWinampCurrSec]
Measure=Calc
Formula=(mWinampCurrOrg / 1000) % 60 = 60 ? 0 : (mWinampCurrOrg / 1000) % 60

[mWinampCurrZero]
Measure=Calc
Formula=(((mWinampCurrOrg) / 1000) % 60)  < 9 ? 0 : 1
Substitute="1":""

[mWinampFullOrg]
Measure=Plugin
Plugin=Plugins\WindowMessagePlugin.dll
WindowClass=Winamp v1.x
WindowMessage=1024 1 105

[mWinampFullMin]
Measure=Calc
Formula=(mWinampFullOrg - (mWinampFullOrg % 60)) /60

[mWinampFullSec]
Measure=Calc
Formula=mWinampFullOrg % 60

[mWinampFullZero]
Measure=Calc
Formula=(mWinampFullOrg % 60)  < 9 ? 0 : 1
Substitute="1":""

[MainBackground]
Meter=IMAGE
X=0
Y=0
W=150
H=50
SolidColor=0, 0, 0, 1

[mPrev]
Meter=image
X=35
Y=6
imagename=back.png
MouseleaveAction=!execute [!RainmeterHideMeter mprev][!RainmeterShowMeter mprev1][!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "mWA SendMessage 273 40044 0"]
Hidden=1

[mPrev1]
Meter=image
X=35
Y=6
imagename=back1.png
MouseOverAction=!Execute [!RainmeterShowMeter mprev][!RainmeterHideMeter mprev1][!RainmeterRedraw]

;-------------------

[mPlay]
Meter=image
X=55
Y=6
ImageName=play.png
MouseleaveAction=!execute [!RainmeterHideMeter mplay][!RainmeterShowMeter mplay1][!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "mWA SendMessage 273 40045 0"][!RainmeterHideMeter mplay][!RainmeterHideMeter mPlay1][!RainmetershowMeter mpause][!RainmetershowMeter mpause1][!RainmeterRedraw]
Hidden=1

[mPlay1]
Meter=image
X=55
Y=6
ImageName=play1.png
MouseOverAction=!Execute [!RainmeterShowMeter mPlay][!RainmeterHideMeter mPlay1][!RainmeterRedraw]

;-------------------

[mPause]
Meter=image
X=55
Y=6
ImageName=pause.png
MouseleaveAction=!execute [!RainmeterHideMeter mPause][!RainmeterShowMeter mPause1][!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "mWA SendMessage 273 40046 0"][!RainmeterHideMeter mpause][!RainmeterHideMeter mpause1][!RainmetershowMeter mplay][!RainmetershowMeter mplay1][!RainmeterRedraw]
Hidden=1

[mPause1]
Meter=image
X=55
Y=6
ImageName=pause1.png
MouseOverAction=!Execute [!RainmeterShowMeter mPause][!RainmeterHideMeter mPause1][!RainmeterRedraw]
Hidden=1

;------------------

[mNext]
Meter=image
X=75
Y=6
ImageName=next.png
MouseleaveAction=!execute [!RainmeterHideMeter mnext][!RainmeterShowMeter mnext1][!RainmeterRedraw]
LeftMouseDownAction=!execute [!RainmeterPluginBang "mWA SendMessage 273 40048 0"]
Hidden=1


[mNext1]
Meter=image
X=75
Y=6
ImageName=next1.png
MouseOverAction=!Execute [!RainmeterShowMeter mNext][!RainmeterHideMeter mnext1][!RainmeterRedraw]

;-----------------

[mTimeCurr]
Hidden=1
Meter=STRING
MeasureName=mWinampCurrMin
MeasureName2=mWinampCurrSec
MeasureName3=mWinampFullMin
MeasureName4=mWinampFullSec
MeasureName5=mWinampCurrZero
MeasureName6=mWinampFullZero
X=160
Y=13
StringAlign=RIGHT
FontColor=b10b0b
FontSize=10
FontFace=Visitor TT2 BRK
Text="%1:%5%2/%3:%6%4"
AntiAlias=0





